Page MenuHomePhabricator

Convert cldr to use extension registration
Closed, ResolvedPublic

Description

The cldr extension needs to be converted to use the new extension registration system. More details are available on T87875.

The usage of the version constant needs to be converted to ExtensionRegistration:
https://github.com/search?q=%40wikimedia+CLDR_VERSION&type=Code&utf8=%E2%9C%93

Extension registration provides a function to check, if a specific extension is loaded or not:
ExtensionRegistry::getInstance()->isLoaded( 'extension-name' ) which returns a boolean. See the doc for more information.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2015, 7:30 PM
Liuxinyu970226 set Security to None.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 17 2015, 10:26 PM
Florian updated the task description. (Show Details)Dec 19 2015, 10:39 PM

Change 260956 had a related patch set uploaded (by MtDu):
Convert cldr to use extension registration

https://gerrit.wikimedia.org/r/260956

Florian assigned this task to MtDu.Dec 25 2015, 7:49 PM

Change 260967 had a related patch set uploaded (by MtDu):
Convert the use of the version constant in LanguageNameLookup to ExtensionRegistration

https://gerrit.wikimedia.org/r/260967

Change 260967 abandoned by MtDu:
Convert the use of the version constant in LanguageNameLookup to ExtensionRegistration

Reason:
Pushed to wrong extension

https://gerrit.wikimedia.org/r/260967

Change 260969 had a related patch set uploaded (by MtDu):
Convert use of the cldr version constant in LanguageNameLookupTest.php to ExtensionRegistration

https://gerrit.wikimedia.org/r/260969

Change 260969 had a related patch set uploaded (by Florianschmidtwelzow):
Convert use of the cldr version constant in LanguageNameLookupTest.php to ExtensionRegistration

https://gerrit.wikimedia.org/r/260969

Florian closed this task as Resolved.Dec 25 2015, 10:38 PM

Change 260956 merged by jenkins-bot:
Convert cldr to use extension registration

https://gerrit.wikimedia.org/r/260956

Change 260969 merged by jenkins-bot:
Convert use of the cldr version constant in LanguageNameLookupTest.php to ExtensionRegistration

https://gerrit.wikimedia.org/r/260969